> For the complete documentation index, see [llms.txt](https://lumiwavelab.gitbook.io/internal-inno-platform-doc-kr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://lumiwavelab.gitbook.io/internal-inno-platform-doc-kr/reference/api-reference/inno-backoffice/mod/undefined-3.md).

# 포인트 데이터 수정

<mark style="color:orange;">`PUT`</mark> `http://{backoffice-domain}/m1.0/mod/point`

#### Headers

| Name                                           | Type   | Description      |
| ---------------------------------------------- | ------ | ---------------- |
| Content-Type<mark style="color:red;">\*</mark> | String | application/json |

#### Request Body

| Name                                          | Type   | Description        |
| --------------------------------------------- | ------ | ------------------ |
| point\_id<mark style="color:red;">\*</mark>   | int64  | 포인트ID              |
| icon\_path<mark style="color:red;">\*</mark>  | string | 아이콘 경로 (256byte이내) |
| point\_name<mark style="color:red;">\*</mark> | string | 포인트 이름 (20byte이내)  |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "return": 0,
    "message": "success"
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Example Curl" %}

```
curl --location --request PUT 'http://{backoffice-domain}/m1.0/backoffice/mod/point' \
--header 'Content-Type: application/json' \
--data-raw '{
    "point_id": 9999,
    "point_name": "abcde",
    "icon_path": "abcde"
}'
```

{% endtab %}

{% tab title="Example Body" %}

```
{
    "point_id": 9999,
    "point_name": "abcde",
    "icon_path": "abcde"
}
```

{% endtab %}
{% endtabs %}
